<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// if the customer is not logged on, redirect them to the shopping cart page
  if (!tep_session_is_registered('customer_id')) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

  $orders_query = tep_db_query("select orders_id from " . TABLE_ORDERS . " where customers_id = '" . (int)$customer_id . "' order by date_purchased desc limit 1");

// redirect to shopping cart page if no orders exist
  if ( !tep_db_num_rows($orders_query) ) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

  $orders = tep_db_fetch_array($orders_query);

  $order_id = $orders['orders_id'];

  $page_content = $oscTemplate->getContent('checkout_success');

  if ( isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'update') ) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_SUCCESS);

  $breadcrumb->add(NAVBAR_TITLE_1);
  $breadcrumb->add(NAVBAR_TITLE_2);

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<h1><?php echo HEADING_TITLE; ?></h1>

<?php echo tep_draw_form('order', tep_href_link(FILENAME_CHECKOUT_SUCCESS, 'action=update', 'SSL')); ?>

<div class="contentContainer">
  <?php echo $page_content; ?>
</div>

<div class="contentContainer">
  <div class="buttonSet">
    <span class="buttonAction"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', null, 'primary'); ?></span>
  </div>
</div>

</form>
<!-- BEGIN UCC -->
<?php
$products_array = array();
$products_query = tep_db_query("select " . TABLE_ORDERS_PRODUCTS . ".products_quantity, " . TABLE_ORDERS_PRODUCTS . ".final_price, " . TABLE_PRODUCTS . ".ean, " . TABLE_PRODUCTS . ".products_id  from " . TABLE_ORDERS_PRODUCTS . " JOIN " . TABLE_PRODUCTS . " ON " . TABLE_ORDERS_PRODUCTS . ".products_id=". TABLE_PRODUCTS . ".products_id" . " where orders_id = " . (int)$order_id) ;
while ($products = tep_db_fetch_array($products_query)) {
    $products_array[] = $products;
}?>
<script>
    var uccProducts = [];
    <?php if (!empty($products_array)): foreach ($products_array as $uccProduct): ?>
    uccProducts.push({
        id: '<?= (isset($uccProduct['ean'])) ? (empty($uccProduct['ean'])) ? $uccProduct['products_id'] : $uccProduct['ean'] : $uccProduct['products_id']; ?>',
        qty: '<?= (isset($uccProduct['products_quantity'])) ? $uccProduct['products_quantity'] : ''; ?>',
        price: '<?= (isset($uccProduct['final_price'])) ? number_format($uccProduct["final_price"], 2) : ''; ?>',
        internalId: '<?= (isset($uccProduct['ean'])) ? (empty($uccProduct['ean'])) ? 'true' : 'false' : 'true'; ?>',
    });
    <?php endforeach; endif; ?>
    jQuery(document).ready(function () {
        jQuery.each(uccProducts, function () {
            _ucc.addProductToNotification(this.id, this.qty, this.price, this.internalId);
        });

        _ucc.notifyPurchase();
    });
</script>
<!-- END UCC -->
<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
