<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!isset($HTTP_GET_VARS['products_id'])) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);

  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);

  require(DIR_WS_INCLUDES . 'template_top.php');

  if ($product_check['total'] < 1) {
?>

<div class="contentContainer">
  <div class="contentText">
    <?php echo TEXT_PRODUCT_NOT_FOUND; ?>
  </div>

  <div style="float: right;">
    <?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'triangle-1-e', tep_href_link(FILENAME_DEFAULT)); ?>
  </div>
</div>

<?php
  } else {
    $product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
    $product_info = tep_db_fetch_array($product_info_query);

    tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");

    if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
      $products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
    }

    if (tep_not_null($product_info['products_model'])) {
      $products_name = $product_info['products_name'] . '<br /><span class="smallText">[' . $product_info['products_model'] . ']</span>';
    } else {
      $products_name = $product_info['products_name'];
    }
?>

<?php echo tep_draw_form('cart_quantity', tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'action=add_product')); ?>

<div>
  <h1 style="float: right;"><?php echo $products_price; ?></h1>
  <h1><?php echo $products_name; ?></h1>
</div>

<div class="contentContainer">
  <div class="contentText">

<?php
    if (tep_not_null($product_info['products_image'])) {
      $pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");

      if (tep_db_num_rows($pi_query) > 0) {
?>

    <div id="piGal" style="float: right;">
      <ul>

<?php
        $pi_counter = 0;
        while ($pi = tep_db_fetch_array($pi_query)) {
          $pi_counter++;

          $pi_entry = '        <li><a href="';

          if (tep_not_null($pi['htmlcontent'])) {
            $pi_entry .= '#piGalimg_' . $pi_counter;
          } else {
            $pi_entry .= tep_href_link(DIR_WS_IMAGES . $pi['image'], '', 'NONSSL', false);
          }

          $pi_entry .= '" target="_blank" rel="fancybox">' . tep_image(DIR_WS_IMAGES . $pi['image']) . '</a>';

          if (tep_not_null($pi['htmlcontent'])) {
            $pi_entry .= '<div style="display: none;"><div id="piGalimg_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div></div>';
          }

          $pi_entry .= '</li>';

          echo $pi_entry;
        }
?>

      </ul>
    </div>

<script type="text/javascript">
$('#piGal ul').bxGallery({
  maxwidth: 300,
  maxheight: 200,
  thumbwidth: <?php echo (($pi_counter > 1) ? '75' : '0'); ?>,
  thumbcontainer: 300,
  load_image: 'ext/jquery/bxGallery/spinner.gif'
});
</script>

<?php
      } else {
?>

    <div id="piGal" style="float: right;">
      <?php echo '<a href="' . tep_href_link(DIR_WS_IMAGES . $product_info['products_image'], '', 'NONSSL', false) . '" target="_blank" rel="fancybox">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], addslashes($product_info['products_name']), null, null, 'hspace="5" vspace="5"') . '</a>'; ?>
    </div>

<?php
      }
?>

<script type="text/javascript">
$("#piGal a[rel^='fancybox']").fancybox({
  cyclic: true
});
</script>

<?php
    }
?>

<?php echo stripslashes($product_info['products_description']); ?>

<?php
    $products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
    $products_attributes = tep_db_fetch_array($products_attributes_query);
    if ($products_attributes['total'] > 0) {
?>

    <p><?php echo TEXT_PRODUCT_OPTIONS; ?></p>

    <p>
<?php
      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
        $products_options_array = array();
        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
        while ($products_options = tep_db_fetch_array($products_options_query)) {
          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
          if ($products_options['options_values_price'] != '0') {
            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
          }
        }

        if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
          $selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
        } else {
          $selected_attribute = false;
        }
?>
      <strong><?php echo $products_options_name['products_options_name'] . ':'; ?></strong><br /><?php echo tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute); ?><br />
<?php
      }
?>
    </p>

<?php
    }
?>

    <div style="clear: both;"></div>

<?php
    if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
?>

    <p style="text-align: center;"><?php echo sprintf(TEXT_DATE_AVAILABLE, tep_date_long($product_info['products_date_available'])); ?></p>

<?php
    }
?>

  </div>

<?php
    $reviews_query = tep_db_query("select count(*) as count from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
    $reviews = tep_db_fetch_array($reviews_query);
?>

  <div class="buttonSet">
    <span class="buttonAction"><?php echo tep_draw_hidden_field('products_id', $product_info['products_id']) . tep_draw_button(IMAGE_BUTTON_IN_CART, 'cart', null, 'primary'); ?></span>

	<?php if (MODULE_PAYMENT_RATY_CA_STATUS == 'True') {
	    $categories_query = tep_db_query("select group_concat(categories_id SEPARATOR ',') as ids from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = ".$product_info['products_id']);
	    $categories = tep_db_fetch_array($categories_query);
		$forbidden_category_ids=MODULE_PAYMENT_RATY_CA_CATEGORIES;

		if ( !count(array_intersect(explode(',',$forbidden_category_ids) ,explode(',', $categories['ids'])))) {

		if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
			$cena = $currencies->calculate_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id']));
		} else {
			$cena = $currencies->calculate_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
		}

		if (MODULE_PAYMENT_RATY_CA_OBLICZ_FLASH != '') {

			$flash = preg_split("/x/", MODULE_PAYMENT_RATY_CA_OBLICZ_FLASH);
			$flash_width = $flash[0];
			$flash = preg_split("/_/", $flash[1]);
			$flash_height = $flash[0];
	?>
			<script type="text/javascript" src="includes/swfobject.js"></script>
			<span class="buttonAction">
			<div id="raty_flash"></div>
				<script type="text/javascript">
					var flash = new SWFObject("https://ewniosek.credit-agricole.pl/eWniosek/resources/swf/rata_dowolna_<?php echo MODULE_PAYMENT_RATY_CA_OBLICZ_FLASH ?>.swf", "","<?php echo $flash_width?>", "<?php echo $flash_height?>", "7", "#ffffff");
					flash.addParam("wmode","transparent");
					flash.addVariable("rata_url", "https://ewniosek.credit-agricole.pl/eWniosek/comm/getInstallment?posId=<?php echo MODULE_PAYMENT_RATY_CA_PSP_ID ?>%26creditAmount=<?php echo $cena?>");
					flash.addVariable("click_url", "https://ewniosek.credit-agricole.pl/eWniosek/simulator.jsp?PARAM_PROFILE=<?php echo MODULE_PAYMENT_RATY_CA_PSP_ID ?>%26PARAM_TYPE=RAT%26PARAM_CREDIT_AMOUNT=<?php echo $cena?>");
					flash.write("raty_flash");
				</script>
			</span>
		<?php  } else { ?>
			<script type="text/javascript">
			var iWidth = 820;
			var iHeight = 630;
			var iX = ( screen.availWidth - iWidth ) / 2;
			var iY = ( screen.availHeight - iHeight ) / 2;
			function PoliczRateCA(koszyk) {
				window.open('https://ewniosek.credit-agricole.pl/eWniosek/simulator.jsp?PARAM_TYPE=RAT&PARAM_PROFILE=<?php echo MODULE_PAYMENT_RATY_CA_PSP_ID ?>&PARAM_CREDIT_AMOUNT='+koszyk, 'Policz_rate', 'height='+iHeight+',width='+iWidth+',top='+iY+',left='+iX+',resizable=yes,scrollbars=yes,status=0;');
				return false;
			}
			</script>

			<span class="buttonAction">
				<a target="raty_symulator" href="https://ewniosek.credit-agricole.pl/eWniosek/simulator.jsp?PARAM_TYPE=RAT&PARAM_PROFILE=<?php echo MODULE_PAYMENT_RATY_CA_PSP_ID; ?>&PARAM_CREDIT_AMOUNT=<?php echo $cena; ?>" style="cursor: pointer;" title="Kupuj na Raty!">
					<img align="middle" src="https://ewniosek.credit-agricole.pl/eWniosek/res/CA_grafika/<?php echo MODULE_PAYMENT_RATY_CA_OBLICZ; ?>">
				</a>
			</span>
	<?php
		}
	}
	}
	?>

    <?php echo tep_draw_button(IMAGE_BUTTON_REVIEWS . (($reviews['count'] > 0) ? ' (' . $reviews['count'] . ')' : ''), 'comment', tep_href_link(FILENAME_PRODUCT_REVIEWS, tep_get_all_get_params())); ?>
  </div>

<?php
    if ((USE_CACHE == 'true') && empty($SID)) {
      echo tep_cache_also_purchased(3600);
    } else {
      include(DIR_WS_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
    }
?>

</div>

</form>
<!-- BEGIN UCC -->
<?php $product_data = tep_db_fetch_array(tep_db_query("select products_id, ean, products_price from " . TABLE_PRODUCTS . " where products_id = " . (int)$product_info['products_id']));
      $ean = $product_data["ean"];
      $products_price = number_format($product_data["products_price"], 2);
      if (defined(MODULE_BOXES_UCC_STATUS)): ?>
<script>
    jQuery(document).ready(function () {
        _ucc.addProductToNotification('<?php echo (empty($ean)) ? $product_info['products_id'] : $ean; ?>', 1, '<?php echo $products_price; ?>', <?php echo (empty($ean)) ? 'true' : 'false';?>);
        _ucc.notifyProductView();
    });

    jQuery("form[name='cart_quantity']").submit(function(event) {
        _ucc.addProductToNotification('<?php echo (empty($ean)) ? $product_info['products_id'] : $ean; ?>', 1, '<?php echo $products_price; ?>', <?php echo (empty($ean)) ? 'true' : 'false';?>);
        _ucc.notifyAddToCart();
    });
</script>
<?php endif; ?>
<!-- UCC END -->
<?php
  }

  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
